package org.linlinjava.jz.db.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelTarget;
import net.sf.jsqlparser.expression.DateTimeLiteralExpression;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@ExcelTarget("ExcelOrder")
public class ExcelOrder implements Serializable {

    @Excel(name = "支付主单号",orderNum ="1",isImportField = "true_st")
    private String order_id;

    @Excel(name = "经营店编码",orderNum = "4",isImportField = "true_st")
    private String shop_id;

    @Excel(name = "开单金额",orderNum = "6",isImportField = "true_st")
    private BigDecimal amount;

    @Excel(name = "实付金额",orderNum = "7", isImportField = "true_st")
    private BigDecimal payment;

    @Excel(name = "商品名称",orderNum = "9", isImportField = "true_st")
    private String goods_name;

    @Excel(name = "用户手机",orderNum = "13", isImportField = "true_st")
    private String mobile;


    @Excel(name = "导购员",orderNum = "14", isImportField = "true_st")
    private String guide;

    @Excel(name = "开单时间",orderNum = "16",importFormat = "yyyy-MM-dd HH:mm:ss", isImportField = "true_st")
    private Date createtime;

    @Excel(name = "支付时间",orderNum = "16",importFormat = "yyyy-MM-dd HH:mm:ss", isImportField = "true_st")
    private Date paytime;

    @Excel(name = "关联服务主单",orderNum = "18", isImportField = "true_st")
    private String service_no;

    @Excel(name = "淘系交易主单号",orderNum = "19", isImportField = "true_st")
    private String taobao_no;

    @Excel(name = "盒马交易主单号",orderNum = "20", isImportField = "true_st")
    private String hm_no;

    @Excel(name = "支付单状态",orderNum = "21", isImportField = "true_st")
    private String status;

    @Excel(name = "预约备注",orderNum = "22")
    private String remark;

    public void setOrder_id(String order_id) {
        this.order_id = order_id;
    }

    public String getOrder_id() {
        return order_id;
    }

      public void setShop_id(String shop_id) {
        this.shop_id = shop_id;
    }

    public String getShop_id() {
        return shop_id;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setPayment(BigDecimal payment) {
        this.payment = payment;
    }

    public BigDecimal getPayment() {
        return payment;
    }

  public void setPaytime(Date paytime) {
        this.paytime = paytime;
    }

    public Date getPaytime() {
        return paytime;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getGoods_name() {
        return goods_name;
    }

    public String getMobile() {
        return mobile;
    }

    public String getGuide() {
        return guide;
    }

    public void setGoods_name(String goods_name) {
        this.goods_name = goods_name;
    }

    public void setGuide(String guide) {
        this.guide = guide;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getService_no() {
        return service_no;
    }

    public String getRemark() {
        return remark;
    }

    public String getHm_no() {
        return hm_no;
    }

    public String getTaobao_no() {
        return taobao_no;
    }

    public void setService_no(String service_no) {
        this.service_no = service_no;
    }

    public void setTaobao_no(String taobao_no) {
        this.taobao_no = taobao_no;
    }

    public String getStatus() {
        return status;
    }

    public void setHm_no(String hm_no) {
        this.hm_no = hm_no;
    }

    public void setStatus(String status) {
        this.status = status;
    }

}
